
//=============================================
// 
// Mercredi 12 decembre 2001
//  
// Arash Habibi
// 
// Triangle.h
//
//============================================


#ifndef _TRIANGLE_H_
#define _TRIANGLE_H_

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

#include "Vecteur.h"
#include "Rayon.h"
#include "Plan.h"

typedef struct
{
  vecteur_t A, B, C; 
} triangle_t; 


void TR_Check(triangle_t t, char *commentaire); 

void TR_Set(triangle_t *t, vecteur_t A, vecteur_t B, vecteur_t C);

void TR_IntersectRayon (triangle_t tr, rayon_t rayon, int *nb_points, vecteur_t *M, vecteur_t *normal); 
void TR_IntersectRayon2(triangle_t t, rayon_t rayon, int *nb_points, vecteur_t *M); 

#endif
